Skip to main content
GET
List candidates

Authorizations

Authorization
string
header
required

API tokens are passed as Bearer tokens.

Query Parameters

cursor
string

Opaque pagination cursor from the previous page's pagination.next_cursor, bound to the same query filters.

limit
integer
default:25

Page size. Must be between 1 and 100; defaults to 25.

Required range: 1 <= x <= 100
ids
string[]

Comma-separated list of IDs; maximum 100 values.

Minimum array length: 1

a candidate ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:can_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
email
string

Case-insensitive exact match on candidate email; combines with other filters using AND.

name
string

Case-insensitive exact match on the candidate's full name, given name, or family name; combines with other filters using AND.

ats_ids
string[]

Matches candidates whose ATS ID is one of these exact values; combines with other filters using AND.

Minimum array length: 1
ats_type
enum<string>

Filters by ATS provider.

Available options:
GREENHOUSE,
ASHBY,
LEVER,
WORKDAY,
SMARTRECRUITERS,
GEM,
KOMBO
created_at_gte
string<date-time>

Filters records created at or after this timestamp.

created_at_lte
string<date-time>

Filters records created at or before this timestamp.

updated_at_gte
string<date-time>

Filters records updated at or after this timestamp.

updated_at_lte
string<date-time>

Filters records updated at or before this timestamp.

Response

Success

data
object[]
required
pagination
object
required